
Redmine - Defect #26386

Mysql: Unable to update ticket with Emoji

2017-07-08 07:22 - Raju M

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Getting below error while updating ticket with emoji. Please help me to resolve the issue.

Completed 500 Internal Server Error in 61ms (ActiveRecord: 16.1ms)

ActiveRecord::StatementInvalid (Mysql2::Error: Incorrect string value: '\xF0\x9F\x98\x8A' for column 'notes' at row 1: INSERT INTO

`journals` (`journalized_id`, `journalized_type`, `user_id`, `notes`, `created_on`) VALUES (5068, 'Issue', 4, 'Testing with emoji  ð',

'2017-07-08 04:46:21')):

app/models/journal.rb:67:in `save'

app/models/issue.rb:1690:in `create_journal'

app/models/issue.rb:210:in `create_or_update'

app/controllers/issues_controller.rb:515:in `block in save_issue_with_child_records'

app/controllers/issues_controller.rb:503:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:179:in `update'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

History

#1 - 2017-07-08 08:28 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

#18866

#2 - 2017-07-08 08:29 - Toshi MARUYAMA

- Subject changed from Unable to update ticket with Emoji to Mysql: Unable to update ticket with Emoji

#21398

#3 - 2019-08-17 18:30 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added
